/* ============================= */
/*        RESET Y BODY           */
/* ============================= */

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
:root {
  --primary-color: #9258fc;
  --secondary-color: #550599;
  --background-color: #000;
  --text-color: #fff;
}

body {
  font-family: 'Poppins', sans-serif;
  color: var(--text-color);
  background-color: var(--background-color);
  overflow-x: hidden;
}
h1, h2, h3, h4, h5, h6, ul {
  font-family: "Alice", system-ui;
}
p {
  font-family: "Aboreto", system-ui;
  line-height: 1.6;
}

/* ============================= */
/*            NAVBAR             */
/* ============================= */

.encabezado-principal {
  font-family: "Aclonica", sans-serif;
  position: absolute;
  width: 100%;
  top: 0;
  left: 0;
  z-index: 10;
  padding: 1.5rem 4rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  
}

.logo img {
  height: 75px;
  width: auto;
  display: block;
  animation: aparecer 1s ease-in forwards;
}

.navbar {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  width: 100%;
}

.nav-links {
  list-style: none;
  display: flex;
  gap: 2rem;
  font-size: 20px;
  animation: deslizarArriba 1s ease-out forwards;
}

.nav-links a {
  color: #fff;
  text-decoration: none;
  font-weight: 500;
  transition: color 0.3s;
}

.nav-links a:hover {
  color: #9258fc;
}

/* .textura img{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: auto;
  z-index: -1;
} */

/* ============================= */
/*         SECTION HERO          */
/* ============================= */

.hero {
  position: relative;
  min-height: 100vh;
  background: linear-gradient( rgba(0,0,0,0.60)), url("../../public/img/plenitud21.jpeg") center / cover no-repeat ;
  background-attachment: fixed;
  display: flex;
  align-items: center;
  text-align: center;
  padding: 0 5%;
  box-shadow: 0 -40px 6px rgba(0, 0, 0, 0.3);
  background-color: rgba(0, 0, 0, 0.5);
}

.overlay {
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.6);
}

.hero-content {
  position: relative;
  font-family: "Aclonica", sans-serif;
  max-width: 800px;
  margin: 0 auto;
}

.hero-content h1 {
  font-size: 3rem;
  font-weight: 800;
  line-height: 1.1;
  margin: auto;
  overflow: hidden;
}
.hero-content .hero-title {
  animation: pasoLetras 4s both ;
}
.hero-content .hero-title-2 {
  animation: pasoLetras 2s both ;
}

.hero-content hr {
  background-color: #550599;
  margin: 1.5rem 0;
  width: 100%;
  height: 4px;
  border: none;
  clip-path: inset(0 15% 0 15%);
}


/* ============================= */
/*          SECTION 2            */
/* ============================= */

.ctn-ftr-section2 {
  min-height: 30vh;
  background-color: #d6d6d6;
  display: flex;
  justify-content: center;
  align-items: center;
}

.ctn-reunion-text {
  text-align: center;
  letter-spacing: 7px;
  overflow-wrap: break-word;
}

.ctn-reunion-text p {
  color: #000;
  padding: 50px;
  font-size: 1rem;
}

.ctn-section2-img {
  filter: invert(1);
  height: 150px;
  max-width: 100%;
  overflow: hidden;
}

.ctn-section2-img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.ctn-section2-img:first-child {
  position: relative;
  top: -60px;
}

.ctn-section2-img:last-child {
  position: relative;
  top: 60px;
  transform: rotate(180deg);
}


/* ============================= */
/*          SECTION 3            */
/* ============================= */

.ctn-ftr-section3 {
  padding: 30px;
  background: white;
  width: 100%;
  font-family: "Aclonica", sans-serif;
}

.ctn-header-section3 h2 {
  text-align: left;
  color: #000;
  margin-bottom: 20px;
  letter-spacing: 1.5px;
  font-size: 1.2rem;
  font-weight: 700;
}

.ctn-header-section3 hr {
  background-color: #550599;
  width: auto;
  height: 10px;
  border: none;
  clip-path: inset(0 85% 0 0%);
  margin: 1rem 0;
}

.ctn-ate-section3 {
  background-color: #fff;
  max-width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-bottom: 50px;
}

.container-reunion-text-2 {
  text-align: center;
  font-family: "Aclonica", sans-serif;
  letter-spacing: 4px;
  color: #000;
  margin-bottom: 50px;
}


.container-family-text {
  line-height: 1.2;
  color: black;
  text-align: center;
  
}

.container-family-text p {
  margin-bottom: 200px;
}

.container-family {
  display: flex;
  justify-content: center;
  align-items: center;
}

.container-family-img {
  width: 500px;
  height: 350px;
  background: #ccc;
  overflow: hidden;
  box-shadow: 2px 10px 15px rgba(0, 0, 0, 0.5);
}

.container-family-img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}


/* ============================= */
/*          SECTION 4            */
/* ============================= */

.ctn-ftr-section4 {
  display: flex;
  justify-content: center;
  align-items: center;
  background: #d6d6d6;
  min-height: 15vh;
  font-family: "Aboreto", system-ui;
  letter-spacing: 1.5px;
  font-size: 14px;
}

.ctn-ftr-section4 h3 {
  color: #000;
  text-align: center;
}


/* ============================= */
/*          SECTION 5            */
/* ============================= */
.ctn-ftr-section5 {
  background: linear-gradient(rgba(0,0,0,0.45), rgba(0,0,0,0.60)), url("../../public/img/plenitud4.jpeg") center / cover no-repeat;
  background-attachment: fixed;
  height: 60vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-end;
  color: white;

}

.ctn-ate-section5 {
  padding: 50px;
  max-width: 52vw;
  text-align: end;
}

.ctn-ate-section5 h1 {
  font-size: 1.5rem;
  text-shadow: #000 2px 2px 4px;
  font-weight: 800;
  line-height: 1.1;
  animation: deslizarDerecha 2s both;
}

.ctn-ate-section5 p {
  font-size: 0.9rem;
  text-shadow: #000 2px 2px 4px;
}

.ctn-ate-section5 hr {
  background-color: #550599;
  margin: 3rem 0;
  width: 100%;
  height: 15px;
  border: none;
  clip-path: inset(0 0 0 70%);
  box-shadow: #000 2px 2px 4px;
}

@keyframes deslizarDerecha {
  from {
    width: 80%;
  }
  to {
    width: 100%;
  }
}

/* ============================= */
/*          SECTION 6            */
/* ============================= */

.ctn-ftr-section6 {
  background-color: #d6d6d6;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  gap: 60px;
  padding: 60px 80px;
  min-height: 70vh;
  font-family: "Aclonica", sans-serif;
}

.ctn-ate-section6 {
  width: 50%;
  color: #000;
}

.ctn-ate-section6 h1 {
  font-size: 1.5rem;
  font-weight: 900;
  margin-bottom: 10px;
  letter-spacing: 1px;
  text-transform: uppercase;
}

.ctn-ate-section6 hr {
  width: 60px;
  height: 5px;
  background-color: #550599;
  border: none;
  margin-bottom: 20px;
}

.ctn-ate-section6 p {
  font-size: 1rem;
  line-height: 1.5;
  text-align: left;
}

.ctn-ftr-img-section6 {
  width: 40%;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: repeat(2, 1fr);
  gap: 15px;
}

.ctn-img-section6 {
  grid-row: span 2;
  overflow: hidden;
}

.ctn-img-section6 img,
.ctn-img2-section6 img,
.ctn-img3-section6 img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* ============================= */
/*           Sermons Page        */
/* ============================= */
.ctn-ftr-stn2-sermons-page {
  min-height: 100vh;
  background-color: #d6d6d6;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  place-items: center;
}
.ctn-stn2-img-sermons-page {
  overflow: hidden;
}
.ctn-stn2-img-sermons-page img {
  height: 100%;
  width: 100%;
  object-fit: cover;
  object-position: center;
  display: block;
  height: 500px;
  width: 400px;
}

/* ============================= */
/*      Sermons Page stn 3       */
/* ============================= */
.ctn-ftr-section3-sermons-page {
  min-height: 20vh;
  background: white;
  display: flex;
  justify-content: center;
  align-items: center;   
}

.ctn-ftr-section3-sermons-page h4 {
  color: #000;
  letter-spacing: 1.5px;
  font-size: 1rem;
  font-weight: 700;
  text-align: center;
}


/* ============================= */
/*            FOOTER             */
/* ============================= */

.footer-final {
  min-height: 20vh;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 1.5rem;
  background-color: #0a0a0a;
  font-size: 0.9rem;
  color: #aaa;
  text-align: center;
}

/* ============================= */
/*          ANIMACIONES          */
/* ============================= */


@keyframes pasoLetras {
  from {
    width: 0%;
  }
  to {
    width: 100%;
  }
}
@keyframes deslizarArriba {
  from {
      transform: translateY(50px); /* Empieza más abajo */
      opacity: 0;                  /* Invisible al inicio */
    }
    to {
      transform: translateY(0);    /* Posición final */
      opacity: 1;                  /* Totalmente visible */
    }
}
@keyframes aparecer {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}